struct NSUFF {
     char *nsuffix;
     char *nsdef;
     int ntype;
} nsuffixes[] = {
     { "'a'", "big", 1 },
     { "'e'", "(top)", 5 },
     { "chaj", "their", 4 },
     { "Daj", "his/her", 4 },
     { "Daq", "in", 5 },
     { "Du'", "(pl)", 2 },
     { "Hey", "apparent", 3 },
     { "Hom", "small", 1 },
     { "lI'", "your", 4 },
     { "lIj", "your", 4 },
     { "ma'", "our", 4 },
     { "maj", "our", 4 },
     { "mey", "(pl)", 2 },
     { "mo'", "due to", 5 },
     { "na'", "definite", 3 },
     { "oy", "dear", 1 },
     { "pu'", "(pl)", 2 },
     { "qoq", "so-called", 3 },
     { "ra'", "your", 4 },
     { "raj", "your", 4 },
     { "vaD", "for", 5 },
     { "vam", "this", 4 },
     { "vetlh", "that", 4 },
     { "vo'", "from", 5 },
     { "wI'", "my", 4 },
     { "wIj", "my", 4 },
};

#define NSLIST sizeof nsuffixes / sizeof (struct NSUFF)

struct VSUFF {
     char *vsuffix;
     char *vsdef;
     int vtype;
} vsuffixes[] = {
     { "'a'", "(yes/no)?", 9 },
     { "'egh", "oneself", 1 },
     { "ba'", "obviously", 6 },
     { "be'", "not", 0 },
     { "beH", "ready", 2 },
     { "bej", "certainly", 6 },
     { "bogh", "which", 9 },
     { "choH", "change", 3 },
     { "chu'", "clearly", 6 },
     { "chugh", "if", 9 },
     { "chuq", "one another", 1 },
     { "DI'", "as soon as", 9 },
     { "ghach", "(nominalizer)", 9 },
     { "Ha'", "not", 0 },
     { "jaj", "may", 9 },
     { "laH", "can", 5 },
     { "law'", "apparently", 6 },
     { "lI'", "in progress", 7 },
     { "lu'", "one", 5 },
     { "meH", "for", 9 },
     { "mo'", "because of", 9 },
     { "moH", "cause to", 4 },
     { "neS", "honorific", 8 },
     { "nIS", "need to", 2 },
     { "pa'", "before", 9 },
     { "pu'", "did", 7 },
     { "qa'", "do again", 3 },
     { "qang", "willing to", 2 },
     { "Qo'", "don't!", 0 },
     { "qu'", "really", 0 },
     { "rup", "ready to", 2 },
     { "ta'", "did", 7 },
     { "taH", "on-going", 7 },
     { "vIp", "afraid to", 2 },
     { "vIS", "while", 9 },
     { "wI'", "one/thing which is/does", 9 },
};

#define VSLIST sizeof vsuffixes / sizeof (struct VSUFF)

struct VPREF {
     char *vprefix;
     char *vpsub;
     char *vpobj;
} prefixes[] = {
     { "bI", "you", "" },
     { "bo", "you(pl)","him/her/it/them " },
     { "che", "you(pl)","us " },
     { "cho", "you", "me " },
     { "Da", "you", "him/her/it/them " },
     { "DI", "we", "them " },
     { "Du", "he/she/it", "you " },
     { "gho", "you(imp:sg/pl)", "us " },
     { "HI", "you(imp:sg/pl)", "me " },
     { "jI", "I", "" },
     { "ju", "you", "us " },
     { "lI", "he/she/it/they", "you(pl) " },
     { "lu", "they", "him/her/it " },
     { "ma", "we", "" },
     { "mu", "he/she/it/they", "me " },
     { "nI", "they", "you " },
     { "nu", "he/she/it/they", "us " },
     { "pe", "you(imp:pl)", "" },
     { "pI", "we", "you " },
     { "qa", "I", "you " },
     { "re", "we", "you(pl) " },
     { "Sa", "I", "you(pl) " },
     { "Su", "you(pl)", "" },
     { "tI", "you(imp:sg/pl)", "them " },
     { "tu", "you(pl)", "me " },
     { "vI", "I", "him/her/it/them " },
     { "wI", "we", "him/her/it " },
     { "yI", "you(imp:sg/pl)", "(no.object)/him/her/it " },
};

#define VPREFIXES sizeof prefixes / sizeof (struct VPREF)

